
package de.frankmuenster.mahoe.banks.bsh.json;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import de.frankmuenster.mahoe.banks.bsh.json.deserializer.MessagesDeserializer;

/**
 * Antwort der Nachrichten-Anfrage
 *
 * @author Frank Mnster
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class MessagesResponse extends BshResponse implements IBshResponse {

    /**
     * Liste mit den Nachrichten
     */
    @JsonProperty("data")
    @JsonDeserialize(using = MessagesDeserializer.class)
    private List<Message> messages;

    /**
     * Standardkonstruktor
     */
    public MessagesResponse() {
	super();
    }

    /**
     * Liefert vorhandenen Nachrichten
     *
     * @return die Liste mit den Nachrichten
     */
    @JsonProperty("data")
    public List<Message> getMessages() {

	return this.messages;
    }

}
