
package de.frankmuenster.mahoe.banks.bsh.json.accountdetails;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import de.frankmuenster.mahoe.banks.bsh.json.deserializer.SimpleMoneyDeserializer;

/**
 * Vertragdetails - Subsidy-Details
 *
 * @author Frank Mnster
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({ "year", "amount" })
public class SubsidyDetail {

    /**
     * Das Jahr
     */
    @JsonProperty("year")
    private Integer year;

    /**
     * Der Betrag in dem Jahr
     */
    @JsonProperty("amount")
    @JsonDeserialize(using = SimpleMoneyDeserializer.class)
    private BigDecimal amount;

    /**
     * Standardkonstruktor
     */
    public SubsidyDetail() {
	// Absichtlich leer
    }

    /**
     * Liefert den Betrag
     *
     * @return den Betrag
     */
    @JsonProperty("amount")
    public BigDecimal getAmount() {

	return this.amount;
    }

    /**
     * Liefert das Jahr
     *
     * @return das Jahr
     */
    @JsonProperty("year")
    public Integer getYear() {

	return this.year;
    }

}
