/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.santander.assistant;

import de.frankmuenster.mahoe.assistant.CreateInfo;
import de.frankmuenster.mahoe.banks.santander.web.SantanderBankEnum;
import de.willuhn.jameica.hbci.rmi.Konto;

/**
 * Bentigte Informationen zum Erstellen eines Santander Kontos
 *
 * @author Frank Mnster
 */
public class SantanderCreateInfo extends CreateInfo {

    /**
     * Banktyp
     */
    private SantanderBankEnum bankType;

    /**
     * Konto f&uuml;r die Ausgleichsbuchung
     */
    private Konto clearingAccount;

    /**
     * Ausgleichsbuchung anlegen
     */
    private Boolean createClearing;

    /**
     * KTO
     */
    private String ktoNummer;

    /**
     * Benutzername
     */
    private String login;

    /**
     * Standardkonstruktor
     */
    public SantanderCreateInfo() {
	super();
    }

    /**
     * @return the bankType
     */
    public SantanderBankEnum getBankType() {

	return this.bankType;
    }

    /**
     * @return the clearingAccount
     */
    public Konto getClearingAccount() {

	return this.clearingAccount;
    }

    /**
     * @return the ktoNummer
     */
    public String getKtoNummer() {

	return this.ktoNummer;
    }

    /**
     * @return the login
     */
    public String getLogin() {

	return this.login;
    }

    /**
     * @return the createClearing
     */
    public Boolean isCreateClearing() {

	return this.createClearing;
    }

    /**
     * @param bankType
     *            the bankType to set
     */
    public void setBankType(final SantanderBankEnum bankType) {

	this.bankType = bankType;
    }

    /**
     * @param clearingAccount
     *            the clearingAccount to set
     */
    public void setClearingAccount(final Konto clearingAccount) {

	this.clearingAccount = clearingAccount;
    }

    /**
     * @param createClearing
     *            the createClearing to set
     */
    public void setCreateClearing(final Boolean createClearing) {

	this.createClearing = createClearing;
    }

    /**
     * @param ktoNummer
     *            the ktoNummer to set
     */
    public void setKtoNummer(final String ktoNummer) {

	this.ktoNummer = ktoNummer;
    }

    /**
     * @param login
     *            the login to set
     */
    public void setLogin(final String login) {

	this.login = login;
    }

}
