/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.targobank.assistant;

import java.rmi.RemoteException;

import org.apache.commons.lang.StringUtils;

import de.frankmuenster.mahoe.MahoeSynchronizeBackend;
import de.frankmuenster.mahoe.assistant.AbstractCreateAccountAssistant;
import de.frankmuenster.mahoe.assistant.CreateAccountException;
import de.frankmuenster.mahoe.banks.targobank.TargoBank;
import de.willuhn.jameica.hbci.rmi.Konto;
import de.willuhn.util.ApplicationException;

/**
 * TargoBnak Konto-Anlagen-Assistent
 *
 * @author Frank Mnster
 */
public final class TargoBankCreateAccountAssistent
        extends AbstractCreateAccountAssistant<TargoBankCreateInfo, TargoBankCreateAccountDialog> {

    /**
     * Standardkonstruktor
     */
    public TargoBankCreateAccountAssistent() {

        super();
    }

    /**
     * @see AbstractCreateAccountAssistant#getDialog()
     */
    @Override
    public TargoBankCreateAccountDialog getDialog() throws CreateAccountException {

        return new TargoBankCreateAccountDialog();
    }

    /**
     * @see AbstractCreateAccountAssistant#setBankSpecificMetaData(de.frankmuenster.mahoe.assistant.CreateInfo, Konto)
     */
    @Override
    public void setBankSpecificMetaData(final TargoBankCreateInfo info, final Konto konto)
            throws RemoteException, ApplicationException {

        konto.setMeta(MahoeSynchronizeBackend.CARD_COMPANY, info.getCompany());
        konto.setMeta(MahoeSynchronizeBackend.CARD_NUMBER, info.getCardNumber());
        konto.setMeta(MahoeSynchronizeBackend.CARD_ACCOUNT, info.getCardAccount());

    }

    @Override
    protected void setBankSpecificAccountParameter(final Konto account, final TargoBankCreateInfo info)
            throws RemoteException {

        account.setBLZ(TargoBank.BLZ);
        account.setKontonummer(TargoBank.KK_KTO);
        account.setKundennummer(info.getLogin());

        account.setIban(TargoBank.KK_IBAN);
        account.setUnterkonto(StringUtils.EMPTY);

    }

}
