package de.frankmuenster.mahoe.exceptions;

/**
 * Fehler der anzeigt das ein Limit zum Lesen von Daten erreicht wurde.
 *
 * @author Frank Mnster
 */
public class ReadLimitReachException extends Exception {

    /**
     * Das Limit
     */
    private final int limit;

    /**
     *
     */
    private static final long serialVersionUID = 3575284294091683105L;

    /**
     * Erstellt die Exception mit Angabe ds Limits Standardkonstruktor
     *
     * @param text
     * @param limit
     */
    public ReadLimitReachException(final String text, final int limit) {
        super(text);
        this.limit = limit;
    }

    /**
     * Liefert das erreichte Limit
     *
     * @return das erreichte Limit
     */
    public int getLimit() {

        return this.limit;
    }
}
