
package de.frankmuenster.mahoe.gui.actions;

import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.internal.action.Program;
import de.willuhn.jameica.messaging.StatusBarMessage;
import de.willuhn.jameica.system.Application;
import de.willuhn.util.ApplicationException;

/**
 * ffnet die Mahoe Webseite.
 */
public class OpenWebPageAction implements Action {

    /**
     * Standardkonstruktor
     */
    public OpenWebPageAction() {
	// Absichlich leer
    }

    /**
     * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
     */
    @Override
    public void handleAction(final Object context) throws ApplicationException {

	GUI.getDisplay().asyncExec(() -> {
	    try {
		new Program().handleAction("http://progs.frankmuenster.de/mahoe/"); //$NON-NLS-1$
	    } catch (final ApplicationException e) {
		Application.getMessagingFactory()
			.sendMessage(new StatusBarMessage(e.getLocalizedMessage(), StatusBarMessage.TYPE_ERROR));
	    }
	});
    }
}
