package de.frankmuenster.mahoe.gui.utils;

import de.frankmuenster.mahoe.gui.controller.SettingsController;
import de.willuhn.jameica.hbci.rmi.Konto;

/**
 * @author Frank Mnster
 */
public class AbstractSettingsTabGroup implements SettingsTabGroup<SettingsController> { // NOPMD

	/**
	 * Der Tab-Kontroller
	 */
	protected final SettingsController control;

	/**
	 * Standardkonstruktor
	 *
	 * @param control
	 */
	public AbstractSettingsTabGroup(final SettingsController control) {
		this.control = control;
	}

	/**
	 * @see de.frankmuenster.mahoe.gui.utils.SettingsTabGroup#getAccount()
	 */
	@Override
	public Konto getAccount() {

		return this.control.getKonto() == null ? null : (Konto) this.control.getKonto().getValue();
	}

	/**
	 * @see de.frankmuenster.mahoe.gui.utils.SettingsTabGroup#getController()
	 */
	@Override
	public SettingsController getController() {

		return this.control;
	}
}
